# Class LearnerHandlerBean

java.lang.Object
org.apache.zookeeper.server.quorum.LearnerHandlerBean

All Implemented Interfaces:
  `ZKMBeanInfo, LearnerHandlerMXBean`

public class LearnerHandlerBean extends Object implements LearnerHandlerMXBean, ZKMBeanInfo

## Constructor Summary

Constructors
Constructor
Description
`LearnerHandlerBean(LearnerHandler learnerHandler, Socket socket)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`boolean`
`isHidden()`
If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools.
`void`
`terminateConnection()`
Terminate the connection.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LearnerHandlerBean

public LearnerHandlerBean(LearnerHandler learnerHandler, Socket socket)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `ZKMBeanInfo`
Returns:
  a string identifying the MBean

### isHidden

public boolean isHidden()
Description copied from interface: `ZKMBeanInfo`
If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools. Used for grouping MBeans.

Specified by:
  `isHidden` in interface `ZKMBeanInfo`
Returns:
  true if the MBean is hidden.

### terminateConnection

public void terminateConnection()
Description copied from interface: `LearnerHandlerMXBean`
Terminate the connection. The learner will attempt to reconnect to the leader or to the next ObserverMaster if that feature is enabled

Specified by:
  `terminateConnection` in interface `LearnerHandlerMXBean`

### toString

public String toString()

Overrides:
  `toString` in class `Object`